Subject: bug#51240: bug#52074: 29.0.50; Add key binding for find-library

From: Drew Adams <[email-masked]>
Date: Thu, 30 Jun 2022 15:40:45 +0000

> >> Thanks for the explanation, I think it makes sense to add
> >> C-x L, C-x 4 L, C-x 5 L to find-function-setup-keys.
> >
> > Makes sense to me.
> 
> So I've now done this in Emacs 29.

Finally.

But as I said in bug #51240, which is a duplicate
of this one:

 [Isn't this essentially bug #26712? and 2270? (which
  was closed as Done, but with no key binding)]

At least 3 duplicate bugs, + discussion in emacs-devel.
15 years.

It's taken 15 years to get this done, from my initial
proposal to add the -other-window/frame versions, and
my suggestion of `C-x 4 l' and `C-x 5 l' bindings.

Yes, you should have used lowercase `l'.  From #26712:

  I almost _never_ use `count-lines-page', and I use
  `find-library-other-window' several times a day.
  And I'm probably one of the few people who actually
  does use page commands.  That's just not that useful
  a command, for me.)

And `find-function-setup-keys' shouldn't hardcode the
keys anyway - it should use a user option.

And this isn't even (at all) about finding a function.
There's no reason to put finding a _library_ on
`find-function-setup-keys'.  But I repeat myself...

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=2270

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26712#8

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26712#44

https://lists.gnu.org/archive/html/emacs-devel/2007-03/msg01073.html

https://lists.gnu.org/archive/html/emacs-devel/2007-06/msg01306.html